Index: trunk/web2/addons/job_monarch/css/styles.css
===================================================================
--- trunk/web2/addons/job_monarch/css/styles.css	(revision 567)
+++ trunk/web2/addons/job_monarch/css/styles.css	(revision 568)
@@ -2,4 +2,11 @@
 {
    color: blue;
+   cursor: pointer;
+}
+
+.filterenabled
+{
+   background: blue;
+   color: white;
    cursor: pointer;
 }
@@ -16,7 +23,13 @@
 }
 
-.filterenabled
+.nodesfilter
 {
-   background: rgb(100,100,255);
+   color: rgb(130,150,255);
+   cursor: pointer;
+}
+
+.nodesfilterenabled
+{
+   background: rgb(130,150,255);
    color: white;
    cursor: pointer;
Index: trunk/web2/addons/job_monarch/js/jobgrid.js
===================================================================
--- trunk/web2/addons/job_monarch/js/jobgrid.js	(revision 567)
+++ trunk/web2/addons/job_monarch/js/jobgrid.js	(revision 568)
@@ -250,5 +250,5 @@
   ClusterImageWindow.getBottomToolbar().showBusy();
 
-  filter_str = 'Nodes Overview' + makeFilterString();
+  filter_str = 'Nodes' + makeFilterString();
   ClusterImageWindow.setTitle( filter_str );
 
@@ -300,16 +300,26 @@
     var view = grid.getView();
     var cell = view.getCell( rowIndex, columnIndex );
-
-    if( fieldName == 'owner' || fieldName == 'jid' || fieldName == 'status' || fieldName == 'queue' )
+    var filter_title = false;
+    var fil_dis = 'filter';
+    var fil_ena = 'filterenabled';
+    var filterName = fieldName;
+
+    if( fieldName == 'owner' || fieldName == 'jid' || fieldName == 'status' || fieldName == 'queue' || fieldName == 'nodes')
     {
-      if( inMyArrayKeys( myfilters, fieldName ) )
+      if( fieldName == 'nodes' )
       {
-        Ext.fly(cell).removeClass( 'filterenabled' );
-        Ext.fly(cell).addClass( 'filter' );
+        filterName = 'host';
+        fil_dis = 'nodesfilter';
+	fil_ena = 'nodesfilterenabled';
+      }
+      if( inMyArrayKeys( myfilters, filterName ) )
+      {
+        Ext.fly(cell).removeClass( fil_ena );
+        Ext.fly(cell).addClass( fil_dis );
 
 	// Remove this filter
 	//
-	delete myfilters[fieldName];
-	delete myparams[fieldName];
+	delete myfilters[filterName];
+	delete myparams[filterName];
 
         reloadJobStore();
@@ -318,16 +328,23 @@
       else
       {
-        Ext.fly(cell).removeClass( 'filter' );
-        Ext.fly(cell).addClass( 'filterenabled' );
+        Ext.fly(cell).removeClass( fil_dis );
+        Ext.fly(cell).addClass( fil_ena );
+
+	if( fieldName == 'nodes' )
+	{ // Get the first node (master mom) as node filter
+	  new_data = data.split( ',' )[0];
+	  data = new_data;
+	}
 
 	// Set filter for selected column to selected cell value
 	//
-        myfilters[fieldName] = data;
+        myfilters[filterName] = data;
 
         reloadJobStore();
 	reloadClusterImage();
       }
+      JobListingWindow.setTitle( filter_str );
+      filter_title = true;
       filter_str = myparams.c + ' Jobs Overview' + makeFilterString();
-      JobListingWindow.setTitle( filter_str );
     }
   }
@@ -336,14 +353,23 @@
   {
     var fieldName = JobsColumnModel.getColumnById( colindex ).dataIndex;
-
-    if( fieldName == 'owner' || fieldName == 'jid' || fieldName == 'status' || fieldName == 'queue' )
+    var fil_dis = 'filter';
+    var fil_ena = 'filterenabled';
+    var filterName = fieldName;
+
+    if( fieldName == 'owner' || fieldName == 'jid' || fieldName == 'status' || fieldName == 'queue' || fieldName == 'nodes' )
     {
-      if( myfilters[fieldName] != null )
+      if( fieldName == 'nodes' )
       {
-        metadata.css = 'filterenabled';
+        fil_dis = 'nodesfilter';
+	fil_ena = 'nodesfilterenabled';
+	filterName = 'host';
+      }
+      if( myfilters[filterName] != null )
+      {
+        metadata.css = fil_ena;
       }
       else
       {
-        metadata.css = 'filter';
+        metadata.css = fil_dis;
       }
     }
@@ -506,5 +532,6 @@
         dataIndex: 'nodes',
         width: 100,
-        hidden: true
+        hidden: true,
+	renderer: jobCellRender
       },{
         header: 'Queued',
@@ -611,4 +638,5 @@
 			height      : 300,
 			closeAction :'hide',
+			//tbar:	next Ext.
 			items:	[ images ]
 		    });