Index: trunk/web/addons/job_monarch/conf_test.php
===================================================================
--- trunk/web/addons/job_monarch/conf_test.php	(revision 611)
+++ 	(revision )
@@ -1,88 +1,0 @@
-<?php
-// Show hosts in a jobview by default?
-//
-$default_showhosts = 1;
-
-// Stop displaying archive search results after SEARCH_RESULT_LIMIT
-//
-$SEARCH_RESULT_LIMIT = 20;
-
-// Show the column job attribute 'requested memory'?
-//
-$COLUMN_REQUESTED_MEMORY = 0;
-
-// Show the column job attribute 'queued' (since)?
-//
-$COLUMN_QUEUED = 1;
-
-// Show the column job attribute 'nodes' hostnames?
-//
-$COLUMN_NODES = 0;
-
-// Path to Ganglia's web frontend root
-//
-$GANGLIA_PATH = "/var/www/ganglia";
-
-// Format of how to display a date and time in human readable format
-//
-$DATETIME_FORMAT = "%a %d %b %Y %H:%M:%S";
-
-// Max size of small clusterimage
-// (250 pixels is same width as Ganglia's pie chart)
-//
-$SMALL_CLUSTERIMAGE_MAXWIDTH = 300;
-
-// The size of a single node in the small clusterimage
-//
-$SMALL_CLUSTERIMAGE_NODEWIDTH = 7;
-
-// Max size of small clusterimage
-// (250 pixels is same width as Ganglia's pie chart)
-//
-$BIG_CLUSTERIMAGE_MAXWIDTH = 500;
-
-// The size of a single node in the small clusterimage
-//
-$BIG_CLUSTERIMAGE_NODEWIDTH = 11;
-
-// Max size of small host image
-//
-$SMALL_HOSTIMAGE_MAXWIDTH = 450;
-
-// How to mark nodes with a job in clusterimage
-//
-$JOB_NODE_MARKING = "J";
-
-// XML Datasource for Job Monarch
-// by default localhost's gmetad
-// [syntax: <ip>:<port>]
-//
-$DATA_SOURCE = '127.0.0.1:8651';
-
-// Is there a jobarchive?
-//
-$JOB_ARCHIVE = 1;
-
-// Path to the job archive rrd files
-//
-$JOB_ARCHIVE_DIR = "/data/gfs/jobarch/rrds";
-
-// Location of the job archive database
-// [syntax: <ip>/<dbase>]
-//
-$JOB_ARCHIVE_DBASE = "127.0.0.1/jobarch";
-
-// Path to rrdtool binary
-//
-$RRDTOOL = "/usr/bin/rrdtool";
-
-// Include cluster specific settings here, 
-// they will override any (global) settings above
-// on a per-cluster basis, where available.
-//
-//$CLUSTER_CONFS["Example Cluster"]	= "./clusterconf/example.php";
-//
-$CLUSTER_CONFS["LISA Cluster"]		= "./clusterconf/lisa-example.php";
-$CLUSTER_CONFS["GINA Cluster"]		= "./clusterconf/gina-example.php";
-$CLUSTER_CONFS["MATRIX Cluster"]	= "./clusterconf/matrix-example.php";
-?>
Index: trunk/web/addons/job_monarch/ts_picker.js
===================================================================
--- trunk/web/addons/job_monarch/ts_picker.js	(revision 611)
+++ 	(revision )
@@ -1,149 +1,0 @@
-// Title: Timestamp picker
-// Description: See the demo at url
-// URL: http://us.geocities.com/tspicker/
-// Script featured on: http://javascriptkit.com/script/script2/timestamp.shtml
-// Version: 1.0
-// Date: 12-05-2001 (mm-dd-yyyy)
-// Author: Denis Gritcyuk <denis@softcomplex.com>; <tspicker@yahoo.com>
-// Notes: Permission given to use this script in any kind of applications if
-//    header lines are left unchanged. Feel free to contact the author
-//    for feature requests and/or donations
-//
-// Additional changes for Toga by Ramon Bastiaans:
-// - Time validation
-// - Setup of str_target on load of calendar (if it's empty)
-// - Commit new time when changed (not just when date is clicked)
-
-function show_calendar(str_target, str_datetime) {
-	var arr_months = ["January", "February", "March", "April", "May", "June",
-		"July", "August", "September", "October", "November", "December"];
-	var week_days = ["Su", "Mo", "Tu", "We", "Th", "Fr", "Sa"];
-	var n_weekstart = 1; // day week starts from (normally 0 or 1)
-
-	var dt_datetime = (str_datetime == null || str_datetime =="" ?  new Date() : str2dt(str_datetime));
-	var dt_prev_month = new Date(dt_datetime);
-	dt_prev_month.setMonth(dt_datetime.getMonth()-1);
-	var dt_next_month = new Date(dt_datetime);
-	dt_next_month.setMonth(dt_datetime.getMonth()+1);
-	var dt_firstday = new Date(dt_datetime);
-	dt_firstday.setDate(1);
-	dt_firstday.setDate(1-(7+dt_firstday.getDay()-n_weekstart)%7);
-	var dt_lastday = new Date(dt_next_month);
-	dt_lastday.setDate(0);
-	
-	// html generation (feel free to tune it for your particular application)
-	// print calendar header
-	var str_buffer = new String (
-		"<html>\n"+
-		"<head>\n"+
-		"	<title>Calendar</title>\n"+
-		"</head>\n"+
-		"<SCRIPT LANGUAGE=\"javascript\" SRC=\"ts_validatetime.js\"></SCRIPT>\n"+
-		"<body bgcolor=\"White\" onLoad=\"validateTime( '"+str_target+ "', '"+str_datetime+"' ); if( window.opener."+str_target+ ".value == '' ) window.opener."+str_target+ ".value='"+dt2dtstr( dt_datetime )+" '+document.cal.time.value;\" onUnload=\"validateTime( '"+str_target+ "', '"+str_datetime+"' ); if( window.opener."+str_target+ ".value == '' ) window.opener."+str_target+ ".value='"+dt2dtstr( dt_datetime )+"'+document.cal.time.value;\">\n"+
-		"<table class=\"clsOTable\" cellspacing=\"0\" border=\"0\" width=\"100%\">\n"+
-		"<tr><td bgcolor=\"#4682B4\">\n"+
-		"<table cellspacing=\"1\" cellpadding=\"3\" border=\"0\" width=\"100%\">\n"+
-		"<tr>\n	<td bgcolor=\"#4682B4\"><a href=\"javascript:window.opener.show_calendar('"+
-		str_target+"', '"+ dt2dtstr(dt_prev_month)+"'+document.cal.time.value);\">"+
-		"<img src=\"prev.gif\" width=\"16\" height=\"16\" border=\"0\""+
-		" alt=\"previous month\"></a></td>\n"+
-		"	<td bgcolor=\"#4682B4\" colspan=\"5\">"+
-		"<font color=\"white\" face=\"tahoma, verdana\" size=\"2\">"
-		+arr_months[dt_datetime.getMonth()]+" "+dt_datetime.getFullYear()+"</font></td>\n"+
-		"	<td bgcolor=\"#4682B4\" align=\"right\"><a href=\"javascript:window.opener.show_calendar('"
-		+str_target+"', '"+dt2dtstr(dt_next_month)+"'+document.cal.time.value);\">"+
-		"<img src=\"next.gif\" width=\"16\" height=\"16\" border=\"0\""+
-		" alt=\"next month\"></a></td>\n</tr>\n"
-	);
-
-	var dt_current_day = new Date(dt_firstday);
-	// print weekdays titles
-	str_buffer += "<tr>\n";
-	for (var n=0; n<7; n++)
-		str_buffer += "	<td bgcolor=\"#87CEFA\">"+
-		"<font color=\"white\" face=\"tahoma, verdana\" size=\"2\">"+
-		week_days[(n_weekstart+n)%7]+"</font></td>\n";
-	// print calendar table
-	str_buffer += "</tr>\n";
-	while (dt_current_day.getMonth() == dt_datetime.getMonth() ||
-		dt_current_day.getMonth() == dt_firstday.getMonth()) {
-		// print row heder
-		str_buffer += "<tr>\n";
-		for (var n_current_wday=0; n_current_wday<7; n_current_wday++) {
-				if (dt_current_day.getDate() == dt_datetime.getDate() &&
-					dt_current_day.getMonth() == dt_datetime.getMonth())
-					// print current date
-					str_buffer += "	<td bgcolor=\"#FFB6C1\" align=\"right\">";
-				else if (dt_current_day.getDay() == 0 || dt_current_day.getDay() == 6)
-					// weekend days
-					str_buffer += "	<td bgcolor=\"#DBEAF5\" align=\"right\">";
-				else
-					// print working days of current month
-					str_buffer += "	<td bgcolor=\"white\" align=\"right\">";
-
-				if (dt_current_day.getMonth() == dt_datetime.getMonth())
-					// print days of current month
-					str_buffer += "<a href=\"javascript:window.opener."+str_target+
-					".value='"+dt2dtstr(dt_current_day)+"'+document.cal.time.value; window.close();\">"+
-					"<font color=\"black\" face=\"tahoma, verdana\" size=\"2\">";
-				else 
-					// print days of other months
-					str_buffer += "<a href=\"javascript:window.opener."+str_target+
-					".value='"+dt2dtstr(dt_current_day)+"'+document.cal.time.value; window.close();\">"+
-					"<font color=\"gray\" face=\"tahoma, verdana\" size=\"2\">";
-				str_buffer += dt_current_day.getDate()+"</font></a></td>\n";
-				dt_current_day.setDate(dt_current_day.getDate()+1);
-		}
-		// print row footer
-		str_buffer += "</tr>\n";
-	}
-	// print calendar footer
-	str_buffer +=
-		"<form name=\"cal\" onsubmit=\"var mf = window.opener."+str_target+".value.split( ' ' );window.opener."+str_target+".value=mf[0]+' '+document.cal.time.value; window.close();\">\n<tr><td colspan=\"7\" bgcolor=\"#87CEFA\">"+
-		"<font color=\"White\" face=\"tahoma, verdana\" size=\"2\">"+
-		"Time: <input type=\"text\" name=\"time\" value=\""+dt2tmstr(dt_datetime)+
-		"\" size=\"8\" maxlength=\"8\" onChange=\"validateTime('"+str_target+"', '"+str_datetime+"');\"></font></td></tr>\n</form>\n" +
-		"</table>\n" +
-		"</tr>\n</td>\n</table>\n" +
-		"</body>\n" +
-		"</html>\n";
-
-	var vWinCal = window.open("", "Calendar", 
-		"width=200,height=250,status=no,resizable=yes,top=200,left=200");
-	vWinCal.opener = self;
-	var calc_doc = vWinCal.document;
-	calc_doc.write (str_buffer);
-	calc_doc.close();
-}
-// datetime parsing and formatting routimes. modify them if you wish other datetime format
-function str2dt (str_datetime) {
-	var re_date = /^(\d+)\-(\d+)\-(\d+)\s+(\d+)\:(\d+)\:(\d+)$/;
-	if (!re_date.exec(str_datetime))
-		return alert("Invalid Datetime format: "+ str_datetime);
-	return (new Date (RegExp.$3, RegExp.$2-1, RegExp.$1, RegExp.$4, RegExp.$5, RegExp.$6));
-}
-function dt2dtstr (dt_datetime) {
-	return (new String (
-			dt_datetime.getDate()+"-"+(dt_datetime.getMonth()+1)+"-"+dt_datetime.getFullYear()+" "));
-}
-function dt2tmstr (dt_datetime) {
-
-	if( dt_datetime.getHours() < 10 )
-		var hours = '0' + dt_datetime.getHours();
-	else
-		var hours = dt_datetime.getHours();
-
-	if( dt_datetime.getMinutes() < 10 )
-		var minutes = '0' + dt_datetime.getMinutes();
-	else
-		var minutes = dt_datetime.getMinutes();
-
-	if( dt_datetime.getSeconds() < 10 )
-		var seconds = '0' + dt_datetime.getSeconds();
-	else
-		var seconds = dt_datetime.getSeconds();
-		
-	return (new String (
-			hours+":"+minutes+":"+seconds));
-}
-
Index: trunk/web/addons/job_monarch/ts_validatetime.js
===================================================================
--- trunk/web/addons/job_monarch/ts_validatetime.js	(revision 611)
+++ 	(revision )
@@ -1,116 +1,0 @@
-function validateTime( str_target, str_datetime ) {
-
-        var time = document.cal.time.value.split( ':' );
-        var invalid = 0;
-	var dt_datetime = (str_datetime == null || str_datetime =="" ?  new Date() : str2dt(str_datetime));
-
-        if( time.length <= 1 && invalid == 0 ) {
-
-                document.cal.time.value = dt2tmstr( dt_datetime );
-                alert( 'Invalid time specified (needs to be HH:MM:SS), reset to current time.' );
-                invalid = 1;
-
-        } else if( time.length == 2 ) {
-
-                if( time[1] != '' ) {
-
-                        document.cal.time.value = document.cal.time.value + ':00';
-
-                } else if( invalid == 0 ) {
-
-                        document.cal.time.value = dt2tmstr( dt_datetime );
-                        alert( 'Invalid time specified (needs to be HH:MM:SS), reset to current time.' );
-                        invalid = 1;
-                }
-
-        } else if( time.length == 3 ) {
-
-                newtime = '';
-
-                for( var i=0; i<time.length; i++) {
-
-                        time_field = time[i];
-			if( i == 0 )
-				var sep = '';
-			else
-				var sep = ':';
-				
-
-                        if( time_field.length == 0 && invalid == 0 ) {
-
-                                document.cal.time.value = dt2tmstr( dt_datetime );
-                                alert( 'Invalid time specified (needs to be HH:MM:SS), reset to current time.' );
-                                invalid = 1;
-
-                        } else if( time_field.length == 1 ) {
-
-                                newtime = newtime + sep + '0' + time_field;
-                        } else {
-                                newtime = newtime + sep + time_field;
-                        }
-
-                        for( var l=0; l<time_field.length; l++ ) {
-                                var mydigit = time_field.charAt(l)
-
-                                if(( mydigit < "0" || mydigit > "9" ) && invalid == 0 ) {
-
-                                        document.cal.time.value = dt2tmstr( dt_datetime );
-                                        alert( 'Invalid time specified (needs to be HH:MM:SS), reset to current time.' );
-                                        invalid = 1;
-
-                                }
-                        }
-                }
-
-                if( invalid == 0 ) {
-
-                        document.cal.time.value = newtime;
-                }
-
-        }
-
-        if( invalid == 0 ) {
-
-		target = str_target.split('.');
-		frm = target[1];
-		elm = target[2];
-                var mf = window.opener.document.forms[frm].elements[elm].value.split( ' ' );
-
-		if( mf[0] != '' )
-			window.opener.document.forms[frm].elements[elm].value=mf[0]+' '+document.cal.time.value;
-		else
-			window.opener.document.forms[frm].elements[elm].value=dt2dtstr( new Date() ) +document.cal.time.value;
-        }
-}
-
-// datetime parsing and formatting routimes. modify them if you wish other datetime format
-function str2dt (str_datetime) {
-        var re_date = /^(\d+)\-(\d+)\-(\d+)\s+(\d+)\:(\d+)\:(\d+)$/;
-        if (!re_date.exec(str_datetime))
-                return alert("Invalid Datetime format: "+ str_datetime);
-        return (new Date (RegExp.$3, RegExp.$2-1, RegExp.$1, RegExp.$4, RegExp.$5, RegExp.$6));
-}
-function dt2dtstr (dt_datetime) {
-        return (new String (
-                        dt_datetime.getDate()+"-"+(dt_datetime.getMonth()+1)+"-"+dt_datetime.getFullYear()+" "));
-}
-function dt2tmstr (dt_datetime) {
-
-        if( dt_datetime.getHours() < 10 )
-                var hours = '0' + dt_datetime.getHours();
-        else
-                var hours = dt_datetime.getHours();
-
-        if( dt_datetime.getMinutes() < 10 )
-                var minutes = '0' + dt_datetime.getMinutes();
-        else
-                var minutes = dt_datetime.getMinutes();
-
-        if( dt_datetime.getSeconds() < 10 )
-                var seconds = '0' + dt_datetime.getSeconds();
-        else
-                var seconds = dt_datetime.getSeconds();
-
-        return (new String (
-                        hours+":"+minutes+":"+seconds));
-}